#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x93,0x69,0xB7,0xBE,0x9E,0x36,0xA2,0x0C,0x8F,0x5E,0x16,0x85,
		0x8D,0x39,0x4F,0xB4,0x6B,0x29,0xAA,0x88,0x39,0xD4,0x54,0x96,
		0x6B,0xCA,0x97,0x7D,0x44,0x9C,0x05,0x1D,0xFC,0xD7,0x54,0x3B,
		0x8F,0xD2,0x79,0x41,0xC9,0x4C,0xDE,0xC1,0xFC,0x98,0xC0,0x63,
		0xD9,0x5D,0x99,0x67,0x1A,0xCB,0x63,0x9D,0x90,0x55,0xA6,0xEF,
		0x70,0x31,0x04,0x6B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
